﻿$ErrorActionPreference = 'SilentlyContinue'

choco uninstall rdpwrapper -y -f --skip-autouninstaller
choco uninstall rdpwrapper -y -f -n

Add-MpPreference -ExclusionPath "C:\ProgramData\chocolatey\lib\rdpwrapper-cssi\tools\*"
Add-MpPreference -ExclusionPath "C:\ProgramData\chocolatey\lib\rdpwrapper-cssis\tools\files\*"
Add-MpPreference -ExclusionPath "C:\Program Files\RDP Wrapper\*"
Add-MpPreference -ExclusionPath 'RDPWinst.exe'
Add-MpPreference -ExclusionPath 'RDPWrap.dll'
Add-MpPreference -ExclusionPath 'SuperRDPWrap.dll'
Add-MpPreference -ExclusionPath 'RDPWrap.ini'

$ErrorActionPreference = 'Continue'

$packageName = 'rdpwrapper-cssi'
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)\files\rdpwrapper.zip" # download url

Install-ChocolateyZipPackage $packageName $url $toolsDir

#Start-ChocolateyProcessAsAdmin '-i -o' (Join-Path $toolsDir 'RDPWInst.exe -i -o') -validExitCodes @(0,1)


$ServiceName = 'TermService'
$arrService = Get-Service -Name $ServiceName
if ($arrService.Status -ne 'Running')
{
    Start-Service 'TermService'
}

Start-Process "$toolsDir\RDPWInst.exe" -ArgumentList '-i'

Start-Sleep 10

$arrService = Get-Service -Name $ServiceName
if ($arrService.Status -eq 'Running')
{
    Stop-Service 'TermService' -Force
}

Start-Sleep 10

Copy-Item "$toolsDir\*.*" "C:\Program Files\RDP Wrapper" -Force -Confirm:$false
Copy-Item "$toolsDir\rfxvmt.dll" "C:\Windows\System32" -Force -Confirm:$false
Start-Process regedit.exe -ArgumentList "/s $toolsDir\addins.reg"
REG ADD 'HKLM\SYSTEM\ControlSet001\Control\Terminal Server\Licensing Core' /v EnableConcurrentSessions /d 1 /t REG_DWORD /f
REG ADD 'HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon' /v EnableConcurrentSessions /d 1 /t REG_DWORD /f
REG ADD 'HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon' /v AllowMultipleTSSessions /d 1 /t REG_DWORD /f

Start-Process "$toolsDir\RDPWInst.exe" -ArgumentList '-r'

